extends layout

block content
  p.text-grey-dark
    a.fa.fa-home(href="/")
    |
    | &raquo;
    |
    span Admin

  h1 Admin

  .split.flex#google-books-api

    .flex-1.p-6

      h2 New Book

      if msg
        p.text-green-dark.bg-green-lightest.border.border-green-dark.p-4
          if msg === 'book-added'
            | Book Added
          else
            | Unknown Message

      .w-full
        form.bg-white.shadow-md.rounded.px-8.pt-6.pb-8.mb-4(method="post" action="/admin/book/new")
          if err
            p.text-red-dark.bg-red-lightest.border.border-red-dark.p-4= err
          .mb-4
            label.block.text-grey-darker.text-sm.font-bold.mb-2(for='isbn') ISBN
            input#isbn.shadow.appearance-none.border.rounded.w-full.py-2.px-3.text-grey-darker.leading-tight(
              type='text'
              name="isbn"
              placeholder='9-123456-1234-0'
              v-model="newBook.isbn"
              value=form.isbn
            )
          .mb-4
            label.block.text-grey-darker.text-sm.font-bold.mb-2(for='title') Title
            input#title.shadow.appearance-none.border.rounded.w-full.py-2.px-3.text-grey-darker.leading-tight(
              type='text'
              name="title"
              placeholder='The Little Yellow Digger'
              v-model="newBook.title"
              value=form.title
            )
          .mb-4
            label.block.text-grey-darker.text-sm.font-bold.mb-2(for='author') Author
            input#author.shadow.appearance-none.border.rounded.w-full.py-2.px-3.text-grey-darker.leading-tight(
              type='text'
              name="author"
              placeholder='Betty Gilderdale'
              v-model="newBook.author"
              value=form.author
            )
          .mb-4
            label.block.text-grey-darker.text-sm.font-bold.mb-2(for='location') Location
            input#location.shadow.appearance-none.border.rounded.w-full.py-2.px-3.text-grey-darker.leading-tight(
              type='text'
              name="location"
              placeholder='Blue Shelf'
              v-model="newBook.location"
              value=form.location
            )
          .mb-4
            label.block.text-grey-darker.text-sm.font-bold.mb-2(for='tags') Tags
            textarea#tags.shadow.appearance-none.border.rounded.w-full.py-2.px-3.text-grey-darker.leading-tight(
              type='text'
              name="tags"
              placeholder='tag1, tag2, ...'
              v-model="newBook.tags"
            )= form.tags
            p.text-grey-dark.text-sm.italic.pt-2 Use comma separated word or words. e.g. genealogy, whakapapa
          .mb-4
            label.block.text-grey-darker.text-sm.font-bold.mb-2(for='note') Note
            textarea#note.shadow.appearance-none.border.rounded.w-full.py-2.px-3.text-grey-darker.leading-tight(
              type='text'
              name="note"
              placeholder='This book is ...'
              v-model="newBook.note"
            )= form.note
          .flex.items-center.justify-between
            button.bg-blue.text-white.font-bold.py-2.px-4.rounded(class='hover:bg-blue-dark' type='submit') Save

      h2 Upload Image

      .w-full
        form.bg-white.shadow-md.rounded.px-8.pt-6.pb-8.mb-4(method="post" action="/admin/image/new" enctype="multipart/form-data")
          .mb-4
            label.block.text-grey-darker.text-sm.font-bold.mb-2(for='name') Name
            input#name.shadow.appearance-none.border.rounded.w-full.py-2.px-3.text-grey-darker.leading-tight(type='text' name="name" placeholder='thomas-and-friends')
          .mb-4
            label.block.text-grey-darker.text-sm.font-bold.mb-2(for='image') Image
            input#image(name="input" type="file")
          .flex.items-center.justify-between
            button.bg-blue.text-white.font-bold.py-2.px-4.rounded(class='hover:bg-blue-dark' type='submit') Upload Image

    .flex-1.p-6

      h2 Google Books API Search

      if googleBooksApiKey
        .w-full
          form.bg-white.shadow-md.rounded.px-8.pt-6.pb-8.mb-4(method="get" action="?" v-on:submit.prevent="onGoogleBooksApiSearch")
            .mb-4
              label.block.text-grey-darker.text-sm.font-bold.mb-2(for='name') ISBN
              input#name.shadow.appearance-none.border.rounded.w-full.py-2.px-3.text-grey-darker.leading-tight(type='text' name="isbn" placeholder='9-123456-1234-0' v-model="isbn")
              p.text-red-dark.bg-red-lightest.border.border-red-dark.p-4.mt-4(v-if="googleBooks.err") {{ googleBooks.err }}
            .mb-4(v-if="searchLoading")
              p.border.border-yellow-darker.bg-yellow-lighter.text-yellow-darker.p-4 Loading...
            .mb-4(v-if="googleBooks.data.items && googleBooks.data.items.length")
              dl
                dt Title
                dd {{ googleBooks.data.items[0].volumeInfo.title }}
                dt Authors
                dd {{ JSON.stringify(googleBooks.data.items[0].volumeInfo.authors) }}
                dt ISBN
                dd(v-for="isbn in googleBooks.data.items[0].volumeInfo.industryIdentifiers") {{ isbn.identifier }} ({{ isbn.type }})
                dt Thumbnails
                  dd
                    img.m-2(v-bind:src="googleBooks.data.items[0].volumeInfo.imageLinks.smallThumbnail")
                    img.m-2(v-bind:src="googleBooks.data.items[0].volumeInfo.imageLinks.thumbnail")
            .flex.items-center.justify-between
              input#googleBooksApiKey(type='hidden' value=googleBooksApiKey)
              button.bg-blue.text-white.font-bold.py-2.px-4.rounded(
                class='hover:bg-blue-dark'
                type="button"
                v-on:click="onGoogleBooksApiSearch"
              ) Search API
              button.bg-blue.text-white.font-bold.py-2.px-4.rounded(
                v-if="googleBooks.data.items && googleBooks.data.items.length"
                class='hover:bg-blue-dark'
                type="button"
                v-on:click="onCopyToNewBookForm"
              ) Copy to New Book Form
      else
        p.
          To use the Google Books API you need to create a Google Books API Key and set the `GOOGLE_BOOKS_API_KEY`
          environment variable in your deployment.

block scripts
  script(src="/s/v/axios-v0.18.0/axios.min.js")
  script(src="/s/v/vue-v2.5.16/vue.min.js")
  script(src="/s/js/admin.js")
